Package Details: ros-kinetic-desktop-full 1.3.2-1

Git Clone URL: https://aur.archlinux.org/ros-kinetic-desktop-full.git (read-only, click to copy)
Package Base: ros-kinetic-desktop-full
Description: ROS - A metapackage to aggregate several packages.
Upstream URL: http://www.ros.org/
Licenses: BSD
Submitter: racko
Maintainer: None
Last Packager: GPereira
Votes: 0
Popularity: 0.000000
First Submitted: 2017-03-05 09:20
Last Updated: 2018-05-08 15:08

Latest Comments

HELLDove commented on 2019-06-23 08:51

there is some trouble with python2-argparse. python2-argparse is already remove in the AUR. so i made fake package. check this https://github.com/swid1/arch-ros-kinetic

vkatsageorgiou commented on 2019-05-13 16:09

It seems that the package depends on "python2-catkin_pkg" which in turn depends on "python2-argpase" that has been removed from the repo. So, trying to install the package using yaourt, I get the following error:

==> Continue building python2-catkin_pkg ? [Y/n] ==> -------------------------------------------- ==> Y

==> Building and installing package ==> Install or build missing dependencies for python2-catkin_pkg: error: target not found: python2-argparse

Is there any updated version of the ros packages or any workaround? Is there any ros version that can be successfully installed on Arch?

Thanks in advance!

racko commented on 2018-01-31 17:53

This package pulls in all the same ros kinetic packages that would be downloaded on Ubuntu. But as you can see, the package is unmaintained, so I wouldn't be too surprised if some packages need some work.

ros-lunar-* packages are maintained.

phanta commented on 2018-01-31 17:41

The wiki mentions that there are issues with ROS Kinetic on Arch and that not all packages are available yet.

So does this package include everything that would be downloaded on Ubuntu? And is it all in working condition?

Thanks

racko commented on 2017-09-24 14:44

Not sure if there is a problem.

I guess your package manager is talking about packages that are not needed on your system anymore (not depended upon by any other package) because you uninstalled other packages.

The packages you listed are not orphans as in "unmaintained":

Maintainers:
ignition-msgs: marauder
sdformat: pryre
zeromq: Kyle Keen (community package)

EvilxFish commented on 2017-09-24 09:30

Hi, The dependencies:
:: ignition-msgs is now an orphan package
:: sdformat is now an orphan package
:: zeromq is now an orphan package

racko commented on 2017-04-20 07:35

Looking at the dependencies you posted, I see that the problem isn't with ros-kinetic-desktop-full. ignition-msgs and gazebo have been updated to depend on "ignition-math>=3" but ignition-math hasn't been updated from 2.4. It has already been flagged as out-of-date since 2016-12-06.

Check out the comments on https://aur.archlinux.org/packages/ignition-math/. nylocx has posted a PKGBUILD for ignition-math 3.0.0 that should help.

If you don't actually need to use gazebo, you could just install ros-kinetic-desktop (and optionally ros-kinetic-perception) and be done with it ;)

newbOnArch commented on 2017-04-20 05:11

I tried to install it but I get this error
:: resolving dependencies...
:: no results found for ignition-math>=3 (dependency tree: ros-kinetic-desktop-full ros-kinetic-simulators ros-kinetic-gazebo-ros-pkgs ros-kinetic-gazebo-plugins ros-kinetic-gazebo-ros gazebo ignition-transport ignition-msgs ignition-math)